﻿namespace VehicleRental.API.Models
{
    using System.Collections.Generic;
    using System.Runtime.Serialization;
    using VehicleRental.Models;

    [DataContract]
    public class PlaceModel
    {
        [DataMember(Name = "id")]
        public int Id { get; set; }

        [DataMember(Name = "title")]
        public string Title { get; set; }

        [DataMember(Name = "longitude")]
        public decimal Longitude { get; set; }

        [DataMember(Name = "latitude")]
        public decimal Latitude { get; set; }

        [DataMember(Name = "address")]
        public string Address { get; set; }

        [DataMember(Name = "description")]
        public string Description { get; set; } // UI purpose ??

        [DataMember(Name = "imageSource")]
        public string ImageSource { get; set; } // UI purpose ??

        [DataMember(Name = "supportedTypes")]
        public virtual IEnumerable<VehicleType> SupportedVehicleTypes { get; set; } // filter for different types

        [DataMember(Name = "vehicles")]
        public virtual IEnumerable<VehicleModel> Vehicles { get; set; }

    }
}