﻿namespace VehicleRental.Models
{
    using System.Collections.Generic;

    public class Place
    {
        public int Id { get; set; }

        public string Title { get; set; } // Name ??

        public decimal Longitude { get; set; }

        public decimal Latitude { get; set; }

        public string Address { get; set; }

        public string Description { get; set; } // UI purpose ??

        public string ImageSource { get; set; } // UI purpose ??

        public virtual ICollection<VehicleType> SupportedVehicleTypes { get; set; } // filter for different types

        public virtual ICollection<Vehicle> Vehicles { get; set; }

        public Place()
        {
            this.SupportedVehicleTypes = new HashSet<VehicleType>();
            this.Vehicles = new HashSet<Vehicle>();
        }
    }
}
