﻿namespace VehicleRental.Models
{
    using System;

    public class Vehicle
    {
        public int Id { get; set; }

        public DateTime RentedDate { get; set; }

        public int Year { get; set; } // year of manufacturing

        public string Manufacturer { get; set; }

        public string Model { get; set; }

        public virtual Place Place { get; set; }

        public virtual User CurrentOwner { get; set; }

        public VehicleType Type { get; set; }

        public int RentedPeriod { get; set; } // rented time in hours

        public decimal PricePerHour { get; set; }

        public bool IsRented { get; set; }

        public decimal Fee { get; set; } // get fee from user if car is not returned before end period

        public string Description { get; set; } // UI purpose ??

        public string ImageSource { get; set; } // UI purpose ??
    }
}
