﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Input;
using VehicleRental.WpfClient.Behavior;
using VehicleRental.WpfClient.Data;

namespace VehicleRental.WpfClient.ViewModels
{
    public class PrivateVehicleRentalViewModel : ViewModelBase, IPageViewModel
    {
        public string Name
        {
            get
            {
                return "Places private View";
            }
        }

        private ObservableCollection<PrivatePlacesViewModel> places;
        private PrivatePlacesViewModel currentPlace;

        public ObservableCollection<PrivatePlacesViewModel> Places
        {
            get
            {
                if (this.places == null)
                {
                    var placesEnumerable = DataPersister.GetAllPrivate();
                    this.places = new ObservableCollection<PrivatePlacesViewModel>();
                    foreach (var place in placesEnumerable)
                    {
                        this.places.Add(place);
                    }
                }

                return this.places;
            }
        }

        public PrivatePlacesViewModel CurrentPlace
        {
            get
            {
                if (this.currentPlace == null)
                {
                    var placeCollectionView = CollectionViewSource.GetDefaultView(this.Places);
                    this.currentPlace = placeCollectionView.CurrentItem as PrivatePlacesViewModel;
                }

                return this.currentPlace;
            }
        }

        
    }
}
